NX Open C++ Reference Guide
|
This class is used to create or edit the information shared between all the Basic Design profile system features in the Ship Design application. More...
Public Member Functions | |
NXOpen::SelectNXObjectList * | Boundary1 () |
Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the first end of the generated profile system. | |
NXOpen::Plane * | Boundary1Plane () |
Returns the defined plane that will be used to trim the first end of the generated profile system. | |
NXOpen::SelectNXObjectList * | Boundary2 () |
Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the second end of the generated profile system. | |
NXOpen::Plane * | Boundary2Plane () |
Returns the defined plane that will be used to trim the second end of the generated profile system. | |
bool | BoundaryReverse () |
Returns the indication if the side of a single boundary should be changed to the other side or not. | |
void | CreatePathCurves (std::vector< NXOpen::NXObject * > &curves) |
Creates path curves for all the paths of the profile system. | |
void | DeleteLastPathCurves () |
Deletes the path curves returned from a call to GetLastPathCurves . | |
void | DeletePathCurves () |
Deletes the path curves created from a call to CreatePathCurves . | |
NXOpen::SelectPointList * | FirstIntersectionPoints () |
Returns the selected intersection points between the curves and the first boundary. | |
void | GetLastPathCurves (std::vector< NXOpen::NXObject * > &curves) |
Gets the path curves used by OrientationDefinitionBuilder . | |
NXOpen::SelectPointList * | SecondIntersectionPoints () |
Returns the selected intersection points between the curves and the second boundary. | |
void | SetBoundary1Plane (NXOpen::Plane *boundary1Plane) |
Sets the defined plane that will be used to trim the first end of the generated profile system. | |
void | SetBoundary2Plane (NXOpen::Plane *boundary2Plane) |
Sets the defined plane that will be used to trim the second end of the generated profile system. | |
void | SetBoundaryOnePoints (const std::vector< NXOpen::Point3d > &points) |
Sets the selected intersection points for the first boundary. | |
void | SetBoundaryReverse (bool boundaryReverse) |
Sets the indication if the side of a single boundary should be changed to the other side or not. | |
void | SetBoundaryTwoPoints (const std::vector< NXOpen::Point3d > &points) |
Set the selected intersection points for the second boundary. | |
![]() | |
double | AngleTolerance () |
Returns the tolerance, in degrees, used to determine when angles are zero. | |
NXOpen::Features::ShipDesign::PlaneListBuilder * | CreatePlaneForList () |
Create a Features::ShipDesign::PlaneListBuilder to add a defined plane to a list. | |
double | DistanceTolerance () |
Returns the tolerance used to determine when distances are considered zero. | |
NXOpen::Features::ShipDesign::FeatureParmsBuilder::OrientationAngleRuleTypes | OrientationAngleRule () |
Returns the angle rule to use when measuring angles. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the tolerance, in degrees, used to determine when angles are zero. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the tolerance used to determine when distances are considered zero. | |
void | SetOrientationAngleRule (NXOpen::Features::ShipDesign::FeatureParmsBuilder::OrientationAngleRuleTypes angleRule) |
Sets the angle rule to use when measuring angles. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Additional Inherited Members | |
![]() | |
enum | OrientationAngleRuleTypes { OrientationAngleRuleTypesRightHand, OrientationAngleRuleTypesShipOrientation } |
Settings to indicate how angles are to be measured. More... | |
This class is used to create or edit the information shared between all the Basic Design profile system features in the Ship Design application.
Currently this includes the following features: Features::ShipDesign::StiffenerSystem , Features::ShipDesign::PillarSystem , and Features::ShipDesign::EdgeReinforcement .
To create a new instance of this class, use Features::ShipCollection::CreateProfileSystemBuilder
Created in NX8.0.0.
NXOpen::SelectNXObjectList* NXOpen::Features::ShipDesign::ProfileSystemBuilder::Boundary1 | ( | ) |
Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the first end of the generated profile system.
Only one sheet body or one plane can be input.
Created in NX8.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::ShipDesign::ProfileSystemBuilder::Boundary1Plane | ( | ) |
Returns the defined plane that will be used to trim the first end of the generated profile system.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Features::ShipDesign::ProfileSystemBuilder::Boundary2 | ( | ) |
Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the second end of the generated profile system.
Only one sheet body or one plane can be input.
Created in NX8.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::ShipDesign::ProfileSystemBuilder::Boundary2Plane | ( | ) |
Returns the defined plane that will be used to trim the second end of the generated profile system.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ProfileSystemBuilder::BoundaryReverse | ( | ) |
Returns the indication if the side of a single boundary should be changed to the other side or not.
By default the side that is on the same side as the sheet body or plane normal is chosen.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::CreatePathCurves | ( | std::vector< NXOpen::NXObject * > & | curves | ) |
Creates path curves for all the paths of the profile system.
Created in NX9.0.0.
License requirements : None
curves | The curves defining all the paths of the profiles that are being created. |
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::DeleteLastPathCurves | ( | ) |
Deletes the path curves returned from a call to GetLastPathCurves .
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::DeletePathCurves | ( | ) |
Deletes the path curves created from a call to CreatePathCurves .
Created in NX9.0.0.
License requirements : None
NXOpen::SelectPointList* NXOpen::Features::ShipDesign::ProfileSystemBuilder::FirstIntersectionPoints | ( | ) |
Returns the selected intersection points between the curves and the first boundary.
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::GetLastPathCurves | ( | std::vector< NXOpen::NXObject * > & | curves | ) |
Gets the path curves used by OrientationDefinitionBuilder .
Created in NX9.0.0.
License requirements : None
curves | The curves to be used for profile orientation. |
NXOpen::SelectPointList* NXOpen::Features::ShipDesign::ProfileSystemBuilder::SecondIntersectionPoints | ( | ) |
Returns the selected intersection points between the curves and the second boundary.
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::SetBoundary1Plane | ( | NXOpen::Plane * | boundary1Plane | ) |
Sets the defined plane that will be used to trim the first end of the generated profile system.
Created in NX8.0.0.
License requirements : nx_ship_basic ("Ship Basic Design")
boundary1Plane | boundary1plane |
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::SetBoundary2Plane | ( | NXOpen::Plane * | boundary2Plane | ) |
Sets the defined plane that will be used to trim the second end of the generated profile system.
Created in NX8.0.0.
License requirements : nx_ship_basic ("Ship Basic Design")
boundary2Plane | boundary2plane |
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::SetBoundaryOnePoints | ( | const std::vector< NXOpen::Point3d > & | points | ) |
Sets the selected intersection points for the first boundary.
Created in NX8.5.0.
License requirements : nx_ship_basic ("Ship Basic Design")
points | The selected intersection points for boundary one. |
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::SetBoundaryReverse | ( | bool | boundaryReverse | ) |
Sets the indication if the side of a single boundary should be changed to the other side or not.
By default the side that is on the same side as the sheet body or plane normal is chosen.
Created in NX8.0.0.
License requirements : nx_ship_basic ("Ship Basic Design")
boundaryReverse | boundaryreverse |
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::SetBoundaryTwoPoints | ( | const std::vector< NXOpen::Point3d > & | points | ) |
Set the selected intersection points for the second boundary.
Created in NX8.5.0.
License requirements : nx_ship_basic ("Ship Basic Design")
points | The selected intersection points for boundary two. |